﻿using Windows.Foundation;
using Windows.Graphics.Display;
using Windows.UI.ViewManagement;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

namespace TestProject
{
    /// <summary>
    /// 메인 페이지
    /// </summary>
    public sealed partial class MainPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainPage()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainPage()
        {
            InitializeComponent();

            #region 윈도우 크기를 설정한다.

            double width  = 800d;
            double height = 600d;

            double dpi = (double)DisplayInformation.GetForCurrentView().LogicalDpi;

            ApplicationView.PreferredLaunchWindowingMode = ApplicationViewWindowingMode.PreferredLaunchViewSize;

            Size windowSize = new Size(width * 96d / dpi, height * 96d / dpi);

            ApplicationView.PreferredLaunchViewSize = windowSize;

            Window.Current.Activate();

            ApplicationView.GetForCurrentView().TryResizeView(windowSize);

            #endregion
            #region 윈도우 제목을 설정한다.

            ApplicationView.GetForCurrentView().Title = "ProgressRing 엘리먼트 : IsIndeterminate/Value 속성 사용하기";

            #endregion
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 진행 넘버 박스 값 변경시 처리하기 - progressNumberBox_ValueChanged(numberBox, e)

        /// <summary>
        /// 진행 넘버 박스 값 변경시 처리하기
        /// </summary>
        /// <param name="numberBox">넘버 박스</param>
        /// <param name="e">이벤트 인자</param>
        private void progressNumberBox_ValueChanged(Microsoft.UI.Xaml.Controls.NumberBox numberBox, Microsoft.UI.Xaml.Controls.NumberBoxValueChangedEventArgs e)
        {
            if(!numberBox.Value.IsNAN())
            {
                this.progressRing.Value = numberBox.Value;
            }
            else
            {
                numberBox.Value = 0;
            }
        }

        #endregion
    }
}